# PSF-LoginServer - master - net.psforever.objects.ObjectType
PSF - LoginServer - master - net.psforever.objects.ObjectType
Keywords: PSF LoginServer master net.psforever.objects.ObjectType

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package avatar
  Definition Classes
    objects
-  package ballistics
  Definition Classes
    objects
-  package ce
  Definition Classes
    objects
-  package definition
  Definition Classes
    objects
-  package entity
  Definition Classes
    objects
-  package equipment
  Definition Classes
    objects
-  package geometry
  Definition Classes
    objects
-  package guid
  Definition Classes
    objects
-  package inventory
  Definition Classes
    objects
-  package loadouts
  Definition Classes
    objects
-  package locker
  Definition Classes
    objects
-  package serverobject
  Definition Classes
    objects
-  package teamwork
  Definition Classes
    objects
-  package vehicles
  Definition Classes
    objects
-  package vital
  Definition Classes
    objects
-  package zones
  Definition Classes
    objects
- Account
- AmmoBox
- BoomerDeployable
- BoomerDeployableControl
- BoomerDeployableDefinition
- BoomerTrigger
- CommonNtuContainer
- ConstructionItem
- Default
- Deployables
- ExplosiveDeployable
- ExplosiveDeployableControl
- ExplosiveDeployableDefinition
- GlobalDefinitions
- Kit
- LivePlayerList
- LocalLockerItem
- LocalProjectile
- MineDeployableControl
- Ntu
- NtuContainer
- NtuContainerDefinition
- NtuStorageBehavior
- ObjectType
- OffhandEquipmentSlot
- OwnableByPlayer
- PlanetSideGameObject
- Player
- Players
- SensorDeployable
- SensorDeployableControl
- SensorDeployableDefinition
- Session
- ShieldGeneratorControl
- ShieldGeneratorDefinition
- ShieldGeneratorDeployable
- SimpleItem
- SpawnPoint
- SpawnPointDefinition
- SpecialEmp
- Telepad
- TelepadControl
- TelepadDeployable
- TelepadDeployableControl
- TelepadDeployableDefinition
- Tool
- Tools
- TrapDeployable
- TrapDeployableControl
- TrapDeployableDefinition
- TurretControl
- TurretDeployable
- TurretDeployableDefinition
- Vehicle
- Vehicles

o

net.psforever.objects

# ObjectType

###

#### object ObjectType extends Enumeration

Source
  ObjectType.scala

Linear Supertypes
Enumeration, Serializable, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ObjectType
2. Enumeration
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  class Val extends scala.Enumeration.Value with Serializable
   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
2.  type Value = String
   Definition Classes
     ObjectType → Enumeration
3.  class ValueSet extends AbstractSet[scala.Enumeration.Value] with SortedSet[scala.Enumeration.Value] with SortedSetOps[scala.Enumeration.Value, SortedSet, ValueSet] with StrictOptimizedIterableOps[scala.Enumeration.Value, Set, ValueSet] with Serializable
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val AmbientSoundSource: String
5.  val Ammunition: String
6.  val AnimatedBarrier: String
7.  val Applicator: String
8.  val Armor: String
9.  val ArmorSiphon: String
10.  val Avatar: String
11.  val AvatarBot: String
12.  val AwardStatistic: String
13.  val Ball: String
14.  val Bank: String
15.  val Barrier: String
16.  val BfrTerminal: String
17.  val Billboard: String
18.  val Boomer: String
19.  val BoomerTrigger: String
20.  val Building: String
21.  val CaptureFlag: String
22.  val CaptureFlagSocket: String
23.  val CaptureTerminal: String
24.  val CertTerminal: String
25.  val ChainLashDamager: String
26.  val Dispenser: String
27.  val Door: String
28.  val EmpBlast: String
29.  val Flag: String
30.  val FlightVehicle: String
31.  val ForceDome: String
32.  val ForceDomeGenerator: String
33.  val FrameVehicle: String
34.  val Game: String
35.  val GeneratorTerminal: String
36.  val Generic: String
37.  val GenericTeleportion: String
38.  val GsGenbase: String
39.  val HandGrenade: String
40.  val HeMine: String
41.  val HeavyWeapon: String
42.  val HoverVehicle: String
43.  val Implant: String
44.  val ImplantInterfaceTerminal: String
45.  val Lazer: String
46.  val LockExternal: String
47.  val LockSmall: String
48.  val Locker: String
49.  val LockerContainer: String
50.  val MainTerminal: String
51.  val Map: String
52.  val MedicalTerminal: String
53.  val Medkit: String
54.  val Monolith: String
55.  val MonolithUnit: String
56.  val MotionAlarmSensorDest: String
57.  val NanoDispenser: String
58.  val NtuSipon: String
59.  val OrbitalShuttlePad: String
60.  val OrbitalStrike: String
61.  val OrderTerminal: String
62.  val PainTerminal: String
63.  val Projectile: String
64.  val RadiationCloud: String
65.  val RearmTerminal: String
66.  val RechargeTerminal: String
67.  val Rek: String
68.  val RepairTerminal: String
69.  val ResourceSilo: String
70.  val RespawnTube: String
71.  val SensorShield: String
72.  val ShieldGenerator: String
73.  val Shifter: String
74.  val SkyDome: String
75.  val SpawnPlayer: String
76.  val SpawnPoint: String
77.  val SpawnTerminal: String
78.  val TeleportPad: String
79.  val Terminal: String
80.  val TradeContainer: String
81.  val UplinkDevice: String
82.  final def Value(i: Int, name: String): ObjectType.Value
    Attributes
      protected
    Definition Classes
      Enumeration
83.  final def Value(name: String): ObjectType.Value
    Attributes
      protected
    Definition Classes
      Enumeration
84.  final def Value(i: Int): ObjectType.Value
    Attributes
      protected
    Definition Classes
      Enumeration
85.  final def Value: ObjectType.Value
    Attributes
      protected
    Definition Classes
      Enumeration
86.  val VanuCradleClass: String
87.  val VanuModuleClass: String
88.  val VanuModuleFactory: String
89.  val VanuReceptacleClass: String
90.  val Vehicle: String
91.  val VehicleCreationPad: String
92.  val VehicleLandingPad: String
93.  val VehicleTerminal: String
94.  val WarpZone: String
95.  val Warpgate: String
96.  val Weapon: String
97.  final def apply(x: Int): ObjectType.Value
    Definition Classes
      Enumeration
98.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
99.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
100.  final def eq(arg0: AnyRef): Boolean
     Definition Classes
       AnyRef
101.  def equals(arg0: AnyRef): Boolean
     Definition Classes
       AnyRef → Any
102.  def finalize(): Unit
     Attributes
       protected[lang]
     Definition Classes
       AnyRef
     Annotations
       @throws(classOf[java.lang.Throwable])
103.  final def getClass(): Class[_ <: AnyRef]
     Definition Classes
       AnyRef → Any
     Annotations
       @native()
104.  def hashCode(): Int
     Definition Classes
       AnyRef → Any
     Annotations
       @native()
105.  final def isInstanceOf[T0]: Boolean
     Definition Classes
       Any
106.  final def maxId: Int
     Definition Classes
       Enumeration
107.  final def ne(arg0: AnyRef): Boolean
     Definition Classes
       AnyRef
108.  var nextId: Int
     Attributes
       protected
     Definition Classes
       Enumeration
109.  var nextName: Iterator[String]
     Attributes
       protected
     Definition Classes
       Enumeration
110.  final def notify(): Unit
     Definition Classes
       AnyRef
     Annotations
       @native()
111.  final def notifyAll(): Unit
     Definition Classes
       AnyRef
     Annotations
       @native()
112.  def readResolve(): AnyRef
     Attributes
       protected
     Definition Classes
       Enumeration
113.  final def synchronized[T0](arg0: => T0): T0
     Definition Classes
       AnyRef
114.  def toString(): String
     Definition Classes
       Enumeration → AnyRef → Any
115.  def values: ValueSet
     Definition Classes
       Enumeration
116.  final def wait(): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws(classOf[java.lang.InterruptedException])
117.  final def wait(arg0: Long, arg1: Int): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws(classOf[java.lang.InterruptedException])
118.  final def wait(arg0: Long): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws(classOf[java.lang.InterruptedException]) @native()
119.  final def withName(s: String): ObjectType.Value
     Definition Classes
       Enumeration
120.  implicit object ValueOrdering extends Ordering[scala.Enumeration.Value]
     Definition Classes
       Enumeration

### Inherited from Enumeration

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped